Subject: Re: [1.8.0] make two-argument fetch update remote branches

From: Matthieu Moy <[email-masked]>
Date: Mon, 31 Jan 2011 23:18:50 +0100

Thomas Rast <[email-masked]> writes:

> Running "git fetch origin master" only updates FETCH_HEAD, not
> origin/master, which turns out to be quite confusing for newcomers
> especially after running 'git pull origin master'.

+1

We just got the case on this list of a newbie running "git pull origin
master" to update his local branch, and "git status" still complaining
that the local branch was ahead of the remote by many commits.

Updating the remote-tracking in this case would avoid such confusion.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/